summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-19 02:26:26 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-19 02:26:26 +0000
commit578f105d62e088574ff8fecdc5d2e342e69335e7 (patch)
treef046c329ad849f26ace712945845c48243f4b16a /include
parentcbd19d81fd33b444732d05891eccb983b3a790ed (diff)
git.sh git_am_patches: reduce indentation
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rwxr-xr-xinclude/git.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/include/git.sh b/include/git.sh
index 57d8f4f9..7d06479a 100755
--- a/include/git.sh
+++ b/include/git.sh
@@ -151,10 +151,9 @@ git_am_patches()
[ -L "${patch}" ] && continue
[ -f "${patch}" ] || continue
git am "${patch}" || patchfail="y"
- if [ "${patchfail}" = "y" ]; then
- git am --abort || err "${sdir}: !git am --abort"
- err "!git am ${patch} -> ${sdir}"
- fi
+ [ "${patchfail}" != "y" ] && continue
+ git am --abort || err "${sdir}: !git am --abort"
+ err "!git am ${patch} -> ${sdir}"
done
) || err "PATCH FAILURE"
for patches in "${patchdir}/"*; do